%a)
x=(-15:.25:15)';
y=(-15:.5:15)';
f=@(x) [atan(2*x(1))-(x(2)/15)^3; 1/30*(x(1)-x(2))];
z1=size(length(y),length(x));
z2=size(length(y),length(x));
for i=1:length(x)
    for j=1:length(y)
        z=f([x(i);y(j)]);
        z1(j,i)=z(1);
        z2(j,i)=z(2);
    end
end
figure(1)
surfc(x,y,z1) %Benuetze surfc um die Konturlinien zu zeichnen
colorbar
title('f_1(x_1,x_2)') 
xlabel('x_1') 
ylabel('x_2')
print('-depsc','pl10_1_f1.eps');

figure(2)
surfc(x,y,z2) %Benuetze surfc um die Konturlinien zu zeichnen
colorbar
title('f_2(x_1,x_2)')
xlabel('x_1')
ylabel('x_2')
print('-depsc','pl10_1_f2.eps');

%b)
format long
J=@(x) [2/(1+(2*x(1))^2), -1/5*(x(2)/15)^2; 1/30 -1/30];

x0=[0.5 0.7;5 10];
alpha=[0.5 0.8 1];
for i=1:length(x0)
 disp('x0=')
 disp(x0(:,i))
 errors=[];
 for j=1:length(alpha)
  disp('alpha=')
  disp(alpha(j))
  [res,x_hist,iter]=damped_newton(f,J,x0(:,i),1e-10,10,alpha(j));
  iter
  error_2norm=sqrt(x_hist(1,:).^2+x_hist(2,:).^2);
  errors=[errors error_2norm(1:6)'];
 end
 errors
end
